Subject: Re: bug#62300: 29.0.60; No hyperlinks for some symbols in *Help* buffers

From: Stefan Monnier <[email-masked]>
Date: Tue, 21 Mar 2023 13:59:50 -0400

> The latter means a regression, since symbols mentioned in the doc
> string of text-scale-adjust will not be buttonized, like symbols in
> the doc string of global-text-scale-adjust aren't now.  I'd like to
> find a solution that would cause symbols in both doc strings to be
> buttonized (autoloading the defcustom does).

The difference between the two use cases is largely accidental (due to
details of how the definition-prefixes functionality works).  I don't
think tweaking the definition-prefixes would be wise way to solve
this problem.

(describe-function 'text-scale-adjust) suffers from the same "problem".
We have not treated this as a problem until now, but if we want to treat
it as a problem, then I suggest we do it by refining the way
`help-enable-autoload` works.

E.g. with the patch below.

        Stefan

diff --git a/lisp/help-fns.el b/lisp/help-fns.el
index a81051cee03..083acc5c98c 100644
--- a/lisp/help-fns.el
+++ b/lisp/help-fns.el
@@ -1138,7 +1138,7 @@ describe-function-1
     ;; key substitution constructs, load the library.
     (and (autoloadp real-def) doc-raw
          help-enable-autoload
-         (string-match "\\([^\\]=\\|[^=]\\|\\`\\)\\\\[[{<]" doc-raw)
+         (string-match "\\([^\\]=\\|[^=]\\|\\`\\)\\\\[[{<]\\|`.*'" doc-raw)
          (autoload-do-load real-def))
 
     (help-fns--key-bindings function)